%define major 0
%define glib_version 1.3.13

Summary: Library to support Bi-directional scripts
Name: fribidi
Version: 0.10.4
Release: 1mdk
License: LGPL
Group: System/Internationalization
Source: http://prdownloads.sourceforge.net/fribidi/fribidi-%{version}.tar.bz2
URL: http://fribidi.sourceforge.net/
BuildRequires: autoconf automake gcc
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: common-licenses

%description
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package -n lib%{name}%{major} 
Summary: %{summary}
Group: Development/C
Requires: fribidi = %{version}

%description -n lib%{name}%{major}
The fribidi-devel package includes the static libraries and header files
for the fribidi package.

Install fribidi-devel if you want to develop programs which will use
fribidi.

%package -n lib%{name}%{major}-devel
Summary: Static libraries and headers for %{name} library
Group: Development/C
Provides: lib%{name}-devel
Requires: %{name} = %{version}
Requires: lib%{name}%{major} = %{version}
Requires: libglib2-devel >= %{glib_version}
Requires: common-licenses

%description -n lib%{name}%{major}-devel
The fribidi-devel package includes the static libraries and header files
for the fribidi package.

Install fribidi-devel if you want to develop programs which will use
fribidi.

%prep
%setup -q

# fix detection of glib2
rm -f acinclude.m4
touch acinclude.m4
aclocal
autoconf

%build

%configure
%make

make check

%install
rm -rf $RPM_BUILD_ROOT


%makeinstall_std


%clean
rm -rf $RPM_BUILD_ROOT

%post -n lib%{name}%{major} -p /sbin/ldconfig

%postun -n lib%{name}%{major} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS  ChangeLog TODO THANKS NEWS
%{_bindir}/fribidi

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-, root, root)
%{_bindir}/fribidi-config
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Sat Jan 25 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.10.4-1mdk
- updated to 0.10.4

* Thu Feb 14 2002 Stefan van der Eijk <stefan@eijk.nu> 0.10.1-3mdk
- BuildRequires

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-2mdk
- Recompiled against glib 1.3.13

* Fri Jan 25 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.10.1-1mdk
- updated to 0.10.1

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-2mdk
- Recompiled against glib 1.3.12

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-1mdk
- Release 0.9.1
- Patch 0 (Abel Cheung): implement pkgconfig support

* Sun Sep 30 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-2mdk
- BuildRequires:	glib-devel
- Copyright --> License

* Tue Aug 07 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.9.0-1mdk
- updated version

* Sun Jan 07 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 0.1.15-2mdk
- fixed Requires

* Sun Jan 07 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 0.1.15-1mdk
- new lib policy
- updated to 0.1.15

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.12-1mdk
- new and shiny version.
- macros and _tmppath.

* Sun Apr 02 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.9-1mdk
- New Group: naming
- updated to 0.1.9
- splitted in a -devel rpm; to make it compatible with the rpms in
  the http://www.pango.org/ site

* Mon Mar 13 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.8-1mdk
- updated to 0.1.8

* Mon Jan 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.6-3mdk
- Use %configure.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environmint

* Thu Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm version
